%define		pname simscan
%define		pversion 1.4.0
%define 	bversion 127
%define		rpmrelease iworx
%define		simscan_user simscan
%define		clamav_user clamav
%define		qmaildir /var/qmail

%define 	debug_package %{nil}

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif


%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

BuildRequires:	clamav
BuildRequires:	spamassassin
BuildRequires:	interworx-unix-users
Requires:		clamav
Requires:		spamassassin
Requires:       interworx-unix-users
BuildRequires: 	ripmime
%define			ccflags %{optflags}
%define			ldflags %{optflags}

############### RPM ################################

Summary:		simscan
Name:			%{pname}
Version:		%{pversion}
Release: 		%{release}
License:		GPL

Group:			Applications/Mail
Source0:		%{name}-%{version}.tar.gz
URL:			http://freshmeat.net/projects/simscan/

Patch0:			simscan-1.2-ocreat.patch
Patch1:         simscan-1.4.0-clamav.3.patch
Patch2:         simscan-1.4.0-combined-iworx.4.patch

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	    Paul Oehler <poehler@interworx.com>

BuildRoot:		%{_tmppath}/%{name}-%{version}-root

Requires:		qmail
Requires:       ripmime

%description
Simscan is a simple program that enables qmail-smtpd
to reject viruses, spam, and attachments during the
SMTP conversation so the email never makes it into
your computers.

%prep

if [ -n %{buildroot} ] ; then rm -rf %{buildroot} ; fi

if [ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{name}-%{pversion} ; fi

%setup -q -n %{name}-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1

# Display compilation flags and OS with colors ;)

if [ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-show_flags ; fi
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
if [ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-show_flags ; fi

# We have gcc written in a temp file
export CC="gcc"
export CFLAGS="%{ccflags}"
export LDFLAGS="%{ldflags}"

%build

./configure                       \
	--prefix=%{_prefix}                \
	--bindir=%{_bindir}                \
	--mandir=%{_mandir}                \
	--sysconfdir=%{_sysconfdir}        \
    --enable-per-domain                \
	--enable-clamav                    \
	--enable-user=%{simscan_user}      \
	--enable-spam                      \
    --enable-attach=y                  \
	--enable-spam-hits=20.1            \
	--enable-clamavdb-path=/var/clamav \
    --enable-received=y                \
    --enable-custom-smtp-reject=y      \
	--enable-spamc-user

%{__make} %{?_smp_mflags}

%install

%{__mkdir} -p %{buildroot}%{qmaildir}/bin
%{__mkdir} -p %{buildroot}%{qmaildir}/simscan

%{__install} -s -c simscan   %{buildroot}%{qmaildir}/bin/simscan
%{__install} -s -c simscanmk %{buildroot}%{qmaildir}/bin/simscanmk

%clean
if [ -n "%{buildroot}" -a "%{buildroot}" != / ] ; then rm -rf %{buildroot} ; fi
if [ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{name}-%{pversion} ; fi

%pre

%postun

%post

chgrp clamav /var/qmail/simscan

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: simscan package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi


%files
%defattr(-,root,root)
%attr(2755,simscan,clamav) %dir %{qmaildir}/simscan
%attr(4711,simscan,simscan) %{qmaildir}/bin/simscan
%attr(0711,simscan,simscan) %{qmaildir}/bin/simscanmk

%doc

%changelog
* Mon Nov 15 2021 Joseph Purkis <jpurkis@interworx.com>
- Adding Almalinux Build
* Thu Jul 07 2016 Paul Oehler <poehler@interworx.com>
- Added modified patch to include umask and debug logic
* Wed Jun 22 2016 Paul Oehler <poehler@interworx.com>
- Enable attach
* Thu Feb 26 2015 Paul Oehler <poehler@interworx.com>
- Fixed typo in enable-custom-smtp-reject
* Tue Aug 26 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL 7.x
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added Fedora 8 support
* Mon Jan 17 2005 Chris Wells <clwells@nexcess.net>
- initial release
